Package: org.apache.groovy.groovysh.completion.antlr4

## [Groovy] Class CustomClassSyntaxCompleter

- org.apache.groovy.groovysh.completion.antlr4.CustomClassSyntaxCompleter

- All Implemented Interfaces and Traits:
    IdentifierCompleter

      class CustomClassSyntaxCompleter
      extends Object
      implements IdentifierCompleter

  Completer completing classes defined in the shell

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CustomClassSyntaxCompleter(Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `complete(List<Token> tokens, List<CharSequence> candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### CustomClassSyntaxCompleter(Groovysh shell)

  - ### Method Detail

    - #### @Override
      boolean complete(List<Token> tokens, List<CharSequence> candidates)